Download it now!
Bug 131721 - Skia rendering (Vulkan or Raster) crash when attempting to dragging a few columns of data
Summary: Skia rendering (Vulkan or Raster) crash when attempting to dragging a few col...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Windows (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-03-30 16:43 UTC by Telesto
Modified: 2020-04-15 12:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace without symbols (17.75 KB, text/plain)
2020-03-30 18:13 UTC, Telesto
Details
Example file (52.80 KB, text/plain)
2020-03-30 18:29 UTC, Telesto
Details
WinDbg64 ST of crash w/Symbols and Source (33.48 KB, text/plain)
2020-03-31 20:23 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-03-30 16:43:16 UTC
Description:
Crash when attempting to dragging a few columns of data

Steps to Reproduce:
1. Open attachment 159155 [details]
2. Select column A-D
3. Drag it to E -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-03-30 17:53:37 UTC
I can't reproduce it in

Version: 7.0.0.0.alpha0+
Build ID: 11e6582b23b983fde4b04ece5b37c546bcd98a43
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

actually it's done within a few seconds.
What happens if you try with Calc: threaded ?
Comment 2 Telesto 2020-03-30 18:13:17 UTC
Created attachment 159165 [details]
Backtrace without symbols

It's related to Skia software mode (Skia/Raster)
Comment 3 Xisco Faulí 2020-03-30 18:18:03 UTC Comment hidden (obsolete)
Comment 4 Telesto 2020-03-30 18:29:11 UTC
Created attachment 159168 [details]
Example file
Comment 5 Telesto 2020-03-30 18:30:24 UTC Comment hidden (obsolete)
Comment 6 Telesto 2020-03-30 18:32:17 UTC
(In reply to Xisco Faulí from comment #3)
> Is it related to bug 131705? Please, stop reporting new bugs until you sort
> out your problems with skia, otherwise, disable it, doesn't make sense to
> flood Bugzilla with bugs which are only affecting you

No, this isn't related to bug 131705. This is Skia/Raster (software) mode; enabled by default
Comment 7 Timur 2020-03-31 16:32:45 UTC
Repro 7.0+ Win with Skia/Raster.
Comment 8 V Stuart Foote 2020-03-31 16:55:50 UTC
Confirmed on Windows 10 Ent 64-bit (1909) with nVidia Quadro K2000 GPU (driver 26.21.14.4128)

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

Crash in both Skia/Vulkan and Skia/raster rendering mode will crash attempting to select the 4 columns of ODS sheet and move them.

Same system with OpenGL, or Default GDI rendering will move columns of test doc without issue.
Comment 9 m.a.riosv 2020-03-31 18:03:06 UTC
Repro, Intel® HD Graphics 620 (27.20.100.7988 11/03/2020)
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 66914f5c15d940831049ddf8434b585652b2cb06
CPU threads: 4; OS: Windows 10.0 Build 19592; UI render: Skia/Raster; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Comment 10 V Stuart Foote 2020-03-31 20:23:10 UTC
Created attachment 159194 [details]
WinDbg64 ST of crash w/Symbols and Source

for the 2020-03-30 TB77 build
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 11 Commit Notification 2020-04-01 10:50:50 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97c468daae242ef8d62edb0942cb52ef4a2a1ebb

handle weird semantics of SkRect::intersect() (tdf#131721)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2020-04-15 12:18:08 UTC
Verified in

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 94a7ceae287a7967e8f013d012673e26637c6bb5
CPU threads: 16; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-US
Calc: threaded

@Luboš Luňák, thanks for fixing this issue!